al_start_timer(3)

NAME

al_start_timer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_start_timer(ALLEGRO_TIMER *timer)

DESCRIPTION

Start the timer specified. From then, the timer's counter will increment at a constant rate, and it will begin generating events. Starting a timer that is already started does nothing. Starting a timer that was stopped will reset the timer's counter, effectively restarting the timer from the beginning.

SEE ALSO

al_stop_timer(3), al_get_timer_started(3), al_resume_timer(3)